cgSetPassState(3)

NAME
cgSetPassState - calls the state setting callback functions for all state assignments in a pass

SYNOPSIS
  #include <Cg/cg.h>
  void cgSetPassState( CGpass pass );

PARAMETERS

pass
    The pass handle.

RETURN VALUES
None.

DESCRIPTION
cgSetPassState sets all of the graphics state defined in a pass by calling the state setting callbacks for all of the state assignments in the pass.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

CG_INVALID_TECHNIQUE_ERROR is generated if the technique of which pass is a part has failed validation.

HISTORY
cgSetPassState was introduced in Cg 1.4.

SEE ALSO
the cgResetPassState manpage, the cgCallStateSetCallback manpage